Page MenuHomePhabricator

Translate extension should not depend on deprecated ApiTokens module
Closed, ResolvedPublic1 Story Points

Description

It can still use this module for pre MediaWiki 1.24 installs (if desired) but when installed in current MediaWiki it should use csrf tokens.

Relevant:

Details

Related Gerrit Patches:
mediawiki/extensions/Translate : masterClean up token handling

Event Timeline

Krinkle created this task.Nov 4 2015, 8:14 PM
Krinkle assigned this task to Nikerabbit.
Krinkle raised the priority of this task from to High.
Krinkle updated the task description. (Show Details)
Krinkle added subscribers: Anomie, Aklapper, Legoktm, Krinkle.
Krinkle renamed this task from Translate extension should not depend deprecated ApiTokens module to Translate extension should not depend on deprecated ApiTokens module.Nov 4 2015, 8:17 PM
Krinkle set Security to None.
Krinkle updated the task description. (Show Details)Nov 4 2015, 8:25 PM

With 42e9a653090288d9b57225130c206a0559325131 landed, the old interface now supports csrf as well so that Translate can migrate without having a circular dependency on MediaWiki core migrating to the new interface first.

With 42e9a653090288d9b57225130c206a0559325131 landed, the old interface now supports csrf as well so that Translate can migrate without having a circular dependency on MediaWiki core migrating to the new interface first.

I don't see how that helps me. I used edit as alias for csrf for now while getting rid of the old custom token types.

Change 251697 had a related patch set uploaded (by Nikerabbit):
Clean up token handling

https://gerrit.wikimedia.org/r/251697

With 42e9a653090288d9b57225130c206a0559325131 landed, the old interface now supports csrf as well so that Translate can migrate without having a circular dependency on MediaWiki core migrating to the new interface first.

I don't see how that helps me. I used edit as alias for csrf for now while getting rid of the old custom token types.

That's fine too. I thought you would want to use "csrf" directly in getToken(), which didn't work in the past because it only existed in the new API.

Change 251697 merged by jenkins-bot:
Clean up token handling

https://gerrit.wikimedia.org/r/251697

Nikerabbit closed this task as Resolved.Nov 18 2015, 5:34 PM
Nikerabbit added a project: LE-CX7-Sprint 3.
Arrbee moved this task from Backlog to Done on the LE-CX7-Sprint 3 board.Nov 19 2015, 8:11 AM
Ricordisamoa edited subscribers, added: Ricordisamoa; removed: gerritbot.
santhosh edited a custom field.Nov 27 2015, 5:38 AM